import { h } from "@stencil/core";
export class MyBackgroundVideoComponent {
    constructor() {
        /**
         * To mute the video
         */
        this.muted = true;
    }
    //@Element() private videoElement: HTMLVideoElement; // pointer to the created video element
    componentDidLoad() {
        // sometimes, as the component is loaded dynamically, the video starts with sound, even if muted property is set to true
        if (this.muted) {
            //this.videoElement.muted = true;
        }
    }
    render() {
        return h("video", { autoplay: true, loop: true, playsinline: true, preload: "auto", muted: this.muted, src: this.src, poster: this.poster });
    }
    static get is() { return "metodo-background-video-component"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() { return {
        "$": ["metodo-background-video-component.css"]
    }; }
    static get styleUrls() { return {
        "$": ["metodo-background-video-component.css"]
    }; }
    static get properties() { return {
        "src": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "The video src"
            },
            "attribute": "src",
            "reflect": false
        },
        "poster": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "The image shown while the video is loading"
            },
            "attribute": "poster",
            "reflect": false
        },
        "muted": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "To mute the video"
            },
            "attribute": "muted",
            "reflect": false,
            "defaultValue": "true"
        }
    }; }
}
